Note: This release is in preview. Features described here don’t become generally available until the latest general availability date that Salesforce announces for this release. Before then, and where features are noted as beta, pilot, or developer preview, we can’t guarantee general availability within any particular time frame or at all. Make your purchase decisions only on the basis of generally available products and features.

Recent List Views

Returns the list of recently used list views for the given sObject type. This resource is available in REST API version 32.0 and later.

Syntax

URI: /services/data/vXX.X/sobjects/sObject/listviews/recent

Formats: JSON, XML

HTTP Method: GET

Authentication: Authorization: Bearer token

Parameters: None

Example

Example Request

1curl https://MyDomainName.my.salesforce.com/services/data/v67.0/sobjects/Account/listviews/recent -H "Authorization: Bearer token"

Example Response Body

1{
2  "done" : true,
3  "listviews" : [ {
4    "describeUrl" : "/services/data/v67.0/sobjects/Account/listviews/00BD0000005WcCNMA0/describe",
5    "developerName" : "MyAccounts",
6    "id" : "00BD0000005WcCNMA0",
7    "label" : "My Accounts",
8    "resultsUrl" : "/services/data/v67.0/sobjects/Account/listviews/00BD0000005WcCNMA0/results",
9    "soqlCompatible" : true,
10    "url" : "/services/data/v67.0/sobjects/Account/listviews/00BD0000005WcCNMA0"
11  }, {
12    "describeUrl" : "/services/data/v67.0/sobjects/Account/listviews/00BD0000005WcBeMAK/describe",
13    "developerName" : "NewThisWeek",
14    "id" : "00BD0000005WcBeMAK",
15    "label" : "New This Week",
16    "resultsUrl" : "/services/data/v67.0/sobjects/Account/listviews/00BD0000005WcBeMAK/results",
17    "soqlCompatible" : true,
18    "url" : "/services/data/v67.0/sobjects/Account/listviews/00BD0000005WcBeMAK"
19  }, {
20    "describeUrl" : "/services/data/v67.0/sobjects/Account/listviews/00BD0000005WcCFMA0/describe",
21    "developerName" : "AllAccounts",
22    "id" : "00BD0000005WcCFMA0",
23    "label" : "All Accounts",
24    "resultsUrl" : "/services/data/v67.0/sobjects/Account/listviews/00BD0000005WcCFMA0/results",
25    "soqlCompatible" : true,
26    "url" : "/services/data/v67.0/sobjects/Account/listviews/00BD0000005WcCFMA0"
27  } ],
28  "nextRecordsUrl" : null,
29  "size" : 3,
30  "sobjectType" : "Account"
31}